// Minecraft Standalone Client
// Copyright (C) 2009-2010 Colin Bartolome
// Licensed under the GPL. See LICENSE.txt for details.

import java.awt.event.*;

import javax.swing.JFrame;

import com.mojang.minecraft.level.Level;

public class MapFrame extends JFrame
{
   MapFrame(CustomPlayer player, Level level)
   {
      super();
      
      final MapPanel panel;
      
      add(panel = new MapPanel(this, player, level));
      
      addWindowListener(new WindowAdapter()
      {
         @Override
         public void windowClosed(WindowEvent wvt)
         {
            panel.stop();
         }
      });
      
      pack();
      setResizable(false);
      setLocation(0, 0);
      setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
      setVisible(true);
   }
}
